- Qt 5.15
- Qt 3D
- C++ Classes
- QLogicalDevice
- Qt 5.15.11 Reference Documentation

# QLogicalDevice Class

class Qt3DInput::QLogicalDevice

QLogicalDevice allows the user to define a set of actions that they wish to use within an application. More...

Header: | #include <QLogicalDevice>
qmake: | QT += 3dinput
Since: | Qt 5.6
Instantiated By: | LogicalDevice
Inherits: | Qt3DCore::QComponent

This class was introduced in Qt 5.6.

- List of all members, including inherited members

## Public Functions

| QLogicalDevice(Qt3DCore::QNode *parent = nullptr)
QVector<QAction *> | actions() const
void | addAction(QAction *action)
void | addAxis(QAxis *axis)
QVector<QAxis *> | axes() const
void | removeAction(QAction *action)
void | removeAxis(QAxis *axis)

## Detailed Description

## Member Function Documentation

### QLogicalDevice::QLogicalDevice(Qt3DCore::QNode *parent = nullptr)

Constructs a new QLogicalDevice instance with parent parent.

### QVector<QAction *> QLogicalDevice::actions() const

Returns the list of actions.

### void QLogicalDevice::addAction(QAction *action)

Add an action to the list of actions.

### void QLogicalDevice::addAxis(QAxis *axis)

Add an axis to the list of axis.

### QVector<QAxis *> QLogicalDevice::axes() const

Returns the list of axis.

### void QLogicalDevice::removeAction(QAction *action)

Remove an action from the list of actions.

### void QLogicalDevice::removeAxis(QAxis *axis)

Remove an axis drom the list of axis.